<?php
require_once(SYSTEM_LOGICS . 'transaction_logs/logic.php');

class ControlTransactionLogs extends LogicTransactionLogs {
		/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
    	try {
    	    $this -> checkAvailability("system", function(){
    	        require_once($this -> getSystemHTML('TEMPLATE_MAINTENANCE_MODE_SYSTEM_PATH'));
    	        exit();
    	    });
    		
    		// アクション実行
    		$this -> logic();
    		require_once($this -> getSystemHTML('TEMPLATE_TRANSACTION_LOGS_PATH', $this -> dispHTML()));
    	} catch (Exception $e) {
    		header('Location: /');
    	}
    }
}
?>